﻿@model ContosoUniversity.ViewModels.ThongtinsucoViewDetailsModel

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_LayoutCommon.cshtml";
}
<head>
    <script src="https://kit.fontawesome.com/b4077a95f0.js" crossorigin="anonymous"></script>
</head>

<h2 class="subtitle1">Xem chi tiết thông tin sự cố</h2>

<div>
    <h4>Sự cố - @Model.thongtinSuCodetails.ThongtinSuCoID</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            STT
        </dt>

        <dd>
            @Html.DisplayFor(model => model.thongtinSuCodetails.ThongtinSuCoID)
        </dd>

        <dt>
            Ngày tạo
        </dt>

        <dd>
            @Html.DisplayFor(model => model.thongtinSuCodetails.CreateDate)
        </dd>

        <dt>
            Người tạo
        </dt>

        <dd>
            @Html.DisplayFor(model => model.thongtinSuCodetails.CreateBy)
        </dd>

        <dt>
            Ngày xảy ra sự cố
        </dt>

        <dd>
            @Html.DisplayFor(model => model.thongtinSuCodetails.Ngayxayrasuco)
        </dd>

        <dt>
            Loại sự cố
        </dt>

        <dd>
            @Html.DisplayFor(model => model.thongtinSuCodetails.LoaiSuCo)
        </dd>

        <dt>
            Mô tả sự cố
        </dt>

        <dd>
            @Html.DisplayFor(model => model.thongtinSuCodetails.MoTaNganSuCo)
        </dd>

        <dt>
            Người mô tả
        </dt>

        <dd>
            @Html.DisplayFor(model => model.thongtinSuCodetails.NguoiMota)
        </dd>

        <dt>
            Cách khắc phục
        </dt>

        <dd>
            @Html.DisplayFor(model => model.thongtinSuCodetails.Cachkhacphuc)

        </dd>
        <hr />
        <div>
            <a href="@Url.Action("ViewCachkhacphucHistory", new {  id = Model.thongtinSuCodetails.ThongtinSuCoID  })" class="btn btn-primary gradient" style="color:white;"><i class="fa-solid fa-history"></i> Xem lịch sử</a>
            <a href="@Url.Action("CreateCachKhacPhuc", new { thongtinsucoId = Model.thongtinSuCodetails.ThongtinSuCoID })" class="btn btn-primary gradient" style="color:white;margin-left:15px"><i class="fa-solid fa-plus"></i> Tạo mới</a>
            @*@Html.ActionLink("Create", "CreateCachKhacPhuc", new { thongtinsucoId = Model.thongtinSuCodetails.ThongtinSuCoID }, new { @class = "fa-solid fa-plus", @style = "color: blue" })*@
            <div class="table-responsive">
                <table class="table table_danhsach" id="table_suco">
                    <thead>
                        <tr>
                            <th>
                                ID
                            </th>
                            <th>
                                Cách khắc phục
                            </th>
                            <th>
                                Người tạo
                            </th>
                            <th>
                                Thao tác
                            </th>

                        </tr>
                    </thead>
                    <tbody>

                        @foreach (var item in Model.pagination)
                        {
                            <tr>
                                <td>
                                    @Html.DisplayFor(modelItem => item.OperationLogID)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.OperationCode)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.CreateBy)
                                </td>
                                <td style="width: 100px;">
                                    @*@Html.DisplayFor(modelItem => item.CreateDate)*@

                                    @*@Html.ActionLink("", "EditCachKhacPhuc", new { id = item.OperationLogID }, new { @class = "fa-solid fa-pencil", @style = "color: #FFC107" })*@
                                    <a href="@Url.Action("EditCachKhacPhuc",new { id = item.OperationLogID })" style="color: #FFC107;"><i class="fa-solid fa-pencil"></i></a>

                                    @*@Html.ActionLink(" ", "Edit", new { id = item.OperationLogID }, new { @class = "fa-solid fa-pencil", @style = "color: #FFC107" })*@
                                </td>


                            </tr>
                        }
                    </tbody>
                </table>
            </div>
        </div>
        <dt>
            Người đề nghị khắc phục
        </dt>

        <dd>
            @Html.DisplayFor(model => model.thongtinSuCodetails.NguoiDeNghiKhacPhuc)
        </dd>

        <dt>
            Trạng thái xử lý
        </dt>

        <dd>
            @Html.DisplayFor(model => model.thongtinSuCodetails.Trangthaixuly)
        </dd>

        <dt>
            Quá trình xử lý
        </dt>

        <dd>
            @Html.DisplayFor(model => model.thongtinSuCodetails.Quatrinhxuly)
        </dd>

        <dt>
            Hồ sơ
        </dt>

        <dd>
            @Html.DisplayFor(model => model.thongtinSuCodetails.HoSo)
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Chỉnh sửa", "Edit", new { id = Model.thongtinSuCodetails.ThongtinSuCoID }) |
    @Html.ActionLink("Về trang xem danh sách", "Index")
</p>
